# ddoc5446

- `This_Foo`

  #### Declaration

  `alias `This_Foo` = ddoc5446a.A_Foo;`

- `This_Foo_Alias`

  #### Declaration

  `alias `This_Foo_Alias` = ddoc5446a.A_Foo;`

- `This_Int`

  #### Declaration

  `alias `This_Int` = int;`

- `This_Enum`

  #### Declaration

  `alias `This_Enum` = ddoc5446a.A_Enum;`

- `A_Enum_New`

  #### Declaration

  `deprecated alias `A_Enum_New` = ddoc5446b.`A_Enum_New`;`

- `Bar`

  #### Declaration

  `struct `Bar`;`

  - `Bar_A_Foo`

    #### Declaration

    `alias `Bar_A_Foo` = ddoc5446a.A_Foo;`

  - `Bar_A_Foo_Alias`

    #### Declaration

    `alias `Bar_A_Foo_Alias` = ddoc5446a.A_Foo;`

  - `Bar_A_Int`

    #### Declaration

    `alias `Bar_A_Int` = int;`

  - `Bar_This_Foo`

    #### Declaration

    `alias `Bar_This_Foo` = ddoc5446a.A_Foo;`

  - `Bar_This_Foo_Alias`

    #### Declaration

    `alias `Bar_This_Foo_Alias` = ddoc5446a.A_Foo;`

  - `Bar_This_Int`

    #### Declaration

    `alias `Bar_This_Int` = int;`

  - `Nested_Alias`

    #### Declaration

    `alias `Nested_Alias` = Nested;`

  - `Fake_Nested`

    #### Declaration

    `alias `Fake_Nested` = .Nested;`

  - `Nested`

    #### Declaration

    `struct `Nested`;`

    - `Bar_Nested_Bar_Alias`

      #### Declaration

      `alias `Bar_Nested_Bar_Alias` = Bar;`

    - `Bar_Alias`

      #### Declaration

      `alias `Bar_Alias` = .Bar;`

    - `Bar`

      #### Declaration

      `struct `Bar`;`